from dataclasses import dataclass
from typing import List

from models.ModelPOI import ModelPOI

from backend import load_map_from_ply_and_txt
from dataclasses_json import dataclass_json


@dataclass_json
@dataclass
class ModelMap:
    pois_in_pix = list()
    raw_point_cloud_in_pix = list()
    filtered_point_cloud_in_pix = list()
    path_points_in_pix = list()
    pix_to_meters = None
    meters_to_pix = None
    line_start_points_in_pix = None
    line_end_points_in_pix = None

    is_deleted: bool = True
