class ComponentFlightPlanPoi extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
        };
    }

    editNameDialog = () => {
        this.props.onChangeName(this.props.poi.name, this.props.poi.uuid);
    }

    render = () => {
        const grid_container = {
            display: 'grid',
            gridTemplateColumns: 'repeat(5, 1fr)',
            gridColumnGap: "5px",
        }

        const text_style = {
            fontFamily: 'Space Grotesk',
            fontWeight: 600,
            placeSelf: "center",
            lineHeight: "58px"
        }

        return (
            <div style={grid_container}>
                <div style={text_style}>{this.props.name}</div>
                <div style={text_style}>{this.props.status}</div>
                {this.props.isFlightPlanExecuting ? <span>&nbsp;</span> : <Button variant="contained" style={{width: 110}} onClick={this.editNameDialog}>Rename</Button>}
                {this.props.isFlightPlanExecuting ? <span>&nbsp;</span> : <Button variant="contained" onClick={() => {
                    eel.delete_poi(this.props.poi.uuid);
                }}>Delete</Button>}
            </div>
        );
    }
}